package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * VoiceMail
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoiceMail   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("date")
  private Long date;

  @JsonProperty("incomingNumber")
  private String incomingNumber;

  @JsonProperty("telephoneNumber")
  private String telephoneNumber;

  @JsonProperty("duration")
  private Integer duration;

  @JsonProperty("read")
  private Boolean read;

  public VoiceMail id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Voice mail ID.
   * @return id
  */
  @ApiModelProperty(value = "Voice mail ID.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public VoiceMail date(Long date) {
    this.date = date;
    return this;
  }

  /**
   * The date or time of voice mail.
   * @return date
  */
  @ApiModelProperty(value = "The date or time of voice mail.")


  public Long getDate() {
    return date;
  }

  public void setDate(Long date) {
    this.date = date;
  }

  public VoiceMail incomingNumber(String incomingNumber) {
    this.incomingNumber = incomingNumber;
    return this;
  }

  /**
   * The incoming number of voice mail.
   * @return incomingNumber
  */
  @ApiModelProperty(value = "The incoming number of voice mail.")


  public String getIncomingNumber() {
    return incomingNumber;
  }

  public void setIncomingNumber(String incomingNumber) {
    this.incomingNumber = incomingNumber;
  }

  public VoiceMail telephoneNumber(String telephoneNumber) {
    this.telephoneNumber = telephoneNumber;
    return this;
  }

  /**
   * The telephone number of voice mail.
   * @return telephoneNumber
  */
  @ApiModelProperty(value = "The telephone number of voice mail.")


  public String getTelephoneNumber() {
    return telephoneNumber;
  }

  public void setTelephoneNumber(String telephoneNumber) {
    this.telephoneNumber = telephoneNumber;
  }

  public VoiceMail duration(Integer duration) {
    this.duration = duration;
    return this;
  }

  /**
   * The duration of voice mail.
   * @return duration
  */
  @ApiModelProperty(value = "The duration of voice mail.")


  public Integer getDuration() {
    return duration;
  }

  public void setDuration(Integer duration) {
    this.duration = duration;
  }

  public VoiceMail read(Boolean read) {
    this.read = read;
    return this;
  }

  /**
   * Whether the voice mail has been read, false-not read, true-read
   * @return read
  */
  @ApiModelProperty(value = "Whether the voice mail has been read, false-not read, true-read")


  public Boolean getRead() {
    return read;
  }

  public void setRead(Boolean read) {
    this.read = read;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoiceMail voiceMail = (VoiceMail) o;
    return Objects.equals(this.id, voiceMail.id) &&
        Objects.equals(this.date, voiceMail.date) &&
        Objects.equals(this.incomingNumber, voiceMail.incomingNumber) &&
        Objects.equals(this.telephoneNumber, voiceMail.telephoneNumber) &&
        Objects.equals(this.duration, voiceMail.duration) &&
        Objects.equals(this.read, voiceMail.read);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, date, incomingNumber, telephoneNumber, duration, read);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoiceMail {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    incomingNumber: ").append(toIndentedString(incomingNumber)).append("\n");
    sb.append("    telephoneNumber: ").append(toIndentedString(telephoneNumber)).append("\n");
    sb.append("    duration: ").append(toIndentedString(duration)).append("\n");
    sb.append("    read: ").append(toIndentedString(read)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

